Agora Java API Reference for Android

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
io.agora.rtc2.video.FaceShapeAreaOptions Class Reference

## Public Member Functions
| FaceShapeAreaOptions (int area, int intensity)

## Public Attributes
int | shapeArea
int | shapeIntensity

## Static Public Attributes
static final int | FACE_SHAPE_AREA_NONE = -1
static final int | FACE_SHAPE_AREA_HEADSCALE = 0
static final int | FACE_SHAPE_AREA_FOREHEAD = 1
static final int | FACE_SHAPE_AREA_FACECONTOUR = 2
static final int | FACE_SHAPE_AREA_FACELENGTH = 3
static final int | FACE_SHAPE_AREA_FACEWIDTH = 4
static final int | FACE_SHAPE_AREA_CHEEKBONE = 5
static final int | FACE_SHAPE_AREA_CHEEK = 6
static final int | FACE_SHAPE_AREA_CHIN = 7
static final int | FACE_SHAPE_AREA_EYESCALE = 8
static final int | FACE_SHAPE_AREA_NOSELENGTH = 9
static final int | FACE_SHAPE_AREA_NOSEWIDTH = 10
static final int | FACE_SHAPE_AREA_MOUTHSCALE = 11

## Detailed Description

Face shape area options. This class defines options for facial adjustments on different facial areas.

## Constructor & Destructor Documentation

## ◆ FaceShapeAreaOptions()

io.agora.rtc2.video.FaceShapeAreaOptions.FaceShapeAreaOptions | ( | int | area,
|  | int | intensity
| ) |  |

The face shape area options.

Parameters

  area | The specific facial area to be adjusted, used with {shapeArea}: {FACE_SHAPE_AREA_NONE(-1)}: (default) invalid area. {FACE_SHAPE_AREA_HEADSCALE(0)}: Head Scale. {FACE_SHAPE_AREA_FOREHEAD(1)}: Forehead. FACE_SHAPE_AREA_FACECONTOUR(2): Face Contour. {FACE_SHAPE_AREA_FACELENGTH(3)}: Face Length. {FACE_SHAPE_AREA_FACEWIDTH(4)}: Face Width. {FACE_SHAPE_AREA_CHEEKBONE(5)}: Cheekbone. {FACE_SHAPE_AREA_CHEEK(6)}: Cheek. FACE_SHAPE_AREA_CHIN(7): Chin. {FACE_SHAPE_AREA_EYESCALE(8)}: Eye Scale. FACE_SHAPE_AREA_NOSELENGTH(9): Nose Length. {FACE_SHAPE_AREA_NOSEWIDTH(10)}: Nose Width. {FACE_SHAPE_AREA_MOUTHSCALE(11)}: Mouth Scale.
  intensity | The intensity of the pinching effect applied to the specified facial area. For the following area values: FACE_SHAPE_AREA_FOREHEAD, FACE_SHAPE_AREA_FACELENGTH, FACE_SHAPE_AREA_CHIN, FACE_SHAPE_AREA_NOSELENGTH, FACE_SHAPE_AREA_NOSEWIDTH, FACE_SHAPE_AREA_MOUTHSCALE, the value ranges from -100 to 100. The default value is 0. The greater the absolute value, the stronger the intensity applied to the specified facial area, and negative values indicate the opposite direction. For enumeration values other than the above, the value ranges from 0 to 100. The default value is 0. The greater the value, the stronger the intensity applied to the specified facial area.

## Member Data Documentation

## ◆ FACE_SHAPE_AREA_NONE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NONE = -1
| static

-1: (Default) Invalid area.

## ◆ FACE_SHAPE_AREA_HEADSCALE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_HEADSCALE = 0
| static

0: Head Scale, reduces the size of head.

## ◆ FACE_SHAPE_AREA_FOREHEAD

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_FOREHEAD = 1
| static

1: Forehead, adjusts the size of forehead.

## ◆ FACE_SHAPE_AREA_FACECONTOUR

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_FACECONTOUR = 2
| static

2: Face Contour, slims the facial contour.

## ◆ FACE_SHAPE_AREA_FACELENGTH

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_FACELENGTH = 3
| static

3: Face Length, adjusts the length of face.

## ◆ FACE_SHAPE_AREA_FACEWIDTH

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_FACEWIDTH = 4
| static

4: Face Width, narrows the width of face.

## ◆ FACE_SHAPE_AREA_CHEEKBONE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_CHEEKBONE = 5
| static

5: Cheekbone, adjusts the size of cheekbone.

## ◆ FACE_SHAPE_AREA_CHEEK

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_CHEEK = 6
| static

6: Cheek, adjusts the size of cheek.

## ◆ FACE_SHAPE_AREA_CHIN

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_CHIN = 7
| static

7: Chin, adjusts the length of chin.

## ◆ FACE_SHAPE_AREA_EYESCALE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_EYESCALE = 8
| static

8: Eye Scale, adjusts the size of eyes.

## ◆ FACE_SHAPE_AREA_NOSELENGTH

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NOSELENGTH = 9
| static

9: Nose Length, adjusts the length of nose.

## ◆ FACE_SHAPE_AREA_NOSEWIDTH

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_NOSEWIDTH = 10
| static

10: Nose Width, adjusts the width of nose.

## ◆ FACE_SHAPE_AREA_MOUTHSCALE

final int io.agora.rtc2.video.FaceShapeAreaOptions.FACE_SHAPE_AREA_MOUTHSCALE = 11
| static

11: Mouth Scale, adjusts the size of mouth.

## ◆ shapeArea

int io.agora.rtc2.video.FaceShapeAreaOptions.shapeArea

The specific facial area to be adjusted, used with {shapeArea}: {FACE_SHAPE_AREA_NONE(-1)}: (default) invalid area. {FACE_SHAPE_AREA_HEADSCALE(0)}: Head Scale. {FACE_SHAPE_AREA_FOREHEAD(1)}: Forehead. FACE_SHAPE_AREA_FACECONTOUR(2): Face Contour. {FACE_SHAPE_AREA_FACELENGTH(3)}: Face Length. {FACE_SHAPE_AREA_FACEWIDTH(4)}: Face Width. {FACE_SHAPE_AREA_CHEEKBONE(5)}: Cheekbone. {FACE_SHAPE_AREA_CHEEK(6)}: Cheek. FACE_SHAPE_AREA_CHIN(7): Chin. {FACE_SHAPE_AREA_EYESCALE(8)}: Eye Scale. FACE_SHAPE_AREA_NOSELENGTH(9): Nose Length. {FACE_SHAPE_AREA_NOSEWIDTH(10)}: Nose Width. {FACE_SHAPE_AREA_MOUTHSCALE(11)}: Mouth Scale.

## ◆ shapeIntensity

int io.agora.rtc2.video.FaceShapeAreaOptions.shapeIntensity

The intensity of the pinching effect applied to the specified facial area. For the following area values: FACE_SHAPE_AREA_FOREHEAD, FACE_SHAPE_AREA_FACELENGTH, FACE_SHAPE_AREA_CHIN, FACE_SHAPE_AREA_NOSELENGTH, FACE_SHAPE_AREA_NOSEWIDTH, FACE_SHAPE_AREA_MOUTHSCALE, the value ranges from -100 to 100. The default value is 0. The greater the absolute value, the stronger the intensity applied to the specified facial area, and negative values indicate the opposite direction. For enumeration values other than the above, the value ranges from 0 to 100. The default value is 0. The greater the value, the stronger the intensity applied to the specified facial area.